> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unibee.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# New Payment Refund

## Endpoint Overview

**POST** `https://api.unibee.dev/merchant/payment/refund/new`

New Payment Refund

***

## Authorization

All UniBee Merchant API requests require authentication via API key.

| Header          | Required | Description                           |
| --------------- | -------- | ------------------------------------- |
| `Authorization` | Yes      | Bearer `<your_api_key>`               |
| `Content-Type`  | Yes      | `application/json` (for request body) |

***

## Parameters

Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.

### Request body

| Name               | Type    | Required | Description        |
| ------------------ | ------- | -------- | ------------------ |
| `currency`         | string  | Yes      | Currency           |
| `externalRefundId` | string  | Yes      | ExternalRefundId   |
| `metadata`         | object  | No       | Metadata，Map       |
| `paymentId`        | string  | Yes      | PaymentId          |
| `reason`           | string  | No       | Reason             |
| `refundAmount`     | integer | Yes      | RefundAmount, Cent |

***

## Request examples

### cURL

```bash theme={null}
curl -X POST "https://api.unibee.dev/merchant/payment/refund/new" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "currency": "",
  "externalRefundId": "id_example",
  "metadata": {},
  "paymentId": "id_example",
  "reason": "",
  "refundAmount": 0
}'
```

### Sandbox

```bash theme={null}
curl -X POST "https://api-sandbox.unibee.top/merchant/payment/refund/new" \
  -H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "currency": "",
  "externalRefundId": "id_example",
  "metadata": {},
  "paymentId": "id_example",
  "reason": "",
  "refundAmount": 0
}'
```

***

## Response

Success responses return a JSON envelope with `code`, `data`, `message`, `redirect`, and `requestId`. `code` `0` indicates success.

| Field                   | Type    | Description                                         |
| ----------------------- | ------- | --------------------------------------------------- |
| `code`                  | integer | Response code. `0` = success                        |
| `data`                  | object  | Response payload                                    |
| `data.externalRefundId` | string  | ExternalRefundId                                    |
| `data.paymentId`        | string  | PaymentId                                           |
| `data.refundId`         | string  | RefundId                                            |
| `data.status`           | integer | Status,10-create\|20-success\|30-Failed\|40-Reverse |
| `message`               | string  | Human-readable message                              |
| `requestId`             | string  | Request ID for support                              |

***

## Error handling

| HTTP status | Meaning                                                                   |
| ----------- | ------------------------------------------------------------------------- |
| 400         | Bad request — invalid or missing parameters. Check `message` in the body. |
| 401         | Unauthorized — missing or invalid API key.                                |
| 404         | Not found — invalid path or resource.                                     |
| 500         | Server error — retry with backoff.                                        |

When `code` in the response body is non-zero, check `message` for details. Use `requestId` when contacting support.


## OpenAPI

````yaml post /merchant/payment/refund/new
openapi: 3.0.0
info:
  description: UniBee Api Server
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  title: OpenAPI UniBee
  version: daily,buildtime:202603161017
servers:
  - url: https://api.unibee.dev
  - url: https://api-sandbox.unibee.top
security:
  - Authorization: []
paths:
  /merchant/payment/refund/new:
    post:
      tags:
        - Payment
      summary: New Payment Refund
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/unibee.api.merchant.payment.NewPaymentRefundReq
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  code:
                    format: int
                    properties: {}
                    type: integer
                  data:
                    properties:
                      externalRefundId:
                        description: ExternalRefundId
                        format: string
                        properties: {}
                        type: string
                      paymentId:
                        description: PaymentId
                        format: string
                        properties: {}
                        type: string
                      refundId:
                        description: RefundId
                        format: string
                        properties: {}
                        type: string
                      status:
                        description: Status,10-create|20-success|30-Failed|40-Reverse
                        format: int
                        properties: {}
                        type: integer
                    type: object
                  merchantId:
                    format: int64
                    properties: {}
                    type: integer
                  message:
                    format: string
                    properties: {}
                    type: string
                  redirect:
                    format: string
                    properties: {}
                    type: string
                  requestId:
                    format: string
                    properties: {}
                    type: string
                type: object
          description: ''
components:
  schemas:
    unibee.api.merchant.payment.NewPaymentRefundReq:
      properties:
        currency:
          description: Currency
          format: string
          properties: {}
          type: string
        externalRefundId:
          description: ExternalRefundId
          format: string
          properties: {}
          type: string
        metadata:
          additionalProperties:
            $ref: '#/components/schemas/interface'
          description: Metadata，Map
          format: map[string]interface {}
          properties: {}
          type: object
        paymentId:
          description: PaymentId
          format: string
          properties: {}
          type: string
        reason:
          description: Reason
          format: string
          properties: {}
          type: string
        refundAmount:
          description: RefundAmount, Cent
          format: int64
          properties: {}
          type: integer
      required:
        - paymentId
        - externalRefundId
        - refundAmount
        - currency
      type: object
    interface:
      properties: {}
      type: object
  securitySchemes:
    Authorization:
      bearerFormat: JWT
      scheme: bearer
      type: http

````